# Uses of Interface
org.gitana.platform.client.attachment.Attachment

Packages that use Attachment
Package
Description
org.gitana.platform.client.application
org.gitana.platform.client.archive
org.gitana.platform.client.attachment
org.gitana.platform.client.node
org.gitana.platform.client.principal
org.gitana.platform.client.project
org.gitana.platform.client.stack
org.gitana.platform.client.support

## Uses of Attachment in org.gitana.platform.client.application

Methods in org.gitana.platform.client.application that return Attachment
Modifier and Type
Method
Description
`Attachment`
Email.`getBodyAttachment()`
`Attachment`
EmailImpl.`getBodyAttachment()`

## Uses of Attachment in org.gitana.platform.client.archive

Methods in org.gitana.platform.client.archive that return types with arguments of type Attachment
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Attachment>`
ArchiveImpl.`listAttachments()`

## Uses of Attachment in org.gitana.platform.client.attachment

Classes in org.gitana.platform.client.attachment that implement Attachment
Modifier and Type
Class
Description
`class`
`AttachmentImpl`
Methods in org.gitana.platform.client.attachment that return types with arguments of type Attachment
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Attachment>`
Attachable.`listAttachments()`

## Uses of Attachment in org.gitana.platform.client.node

Methods in org.gitana.platform.client.node that return types with arguments of type Attachment
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Attachment>`
BaseNodeImpl.`listAttachments()`

## Uses of Attachment in org.gitana.platform.client.principal

Methods in org.gitana.platform.client.principal that return types with arguments of type Attachment
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Attachment>`
AbstractDomainPrincipalImpl.`listAttachments()`

## Uses of Attachment in org.gitana.platform.client.project

Methods in org.gitana.platform.client.project that return types with arguments of type Attachment
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Attachment>`
ProjectImpl.`listAttachments()`

## Uses of Attachment in org.gitana.platform.client.stack

Methods in org.gitana.platform.client.stack that return types with arguments of type Attachment
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Attachment>`
StackImpl.`listAttachments()`

## Uses of Attachment in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return types with arguments of type Attachment
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Attachment>`
ObjectFactory.`attachments(Attachable attachable, Response response)`
`org.gitana.platform.support.ResultMap<Attachment>`
ObjectFactoryImpl.`attachments(Attachable attachable, Response response)`